devres_add
Prev | Device Resource Management | Next

## Name

devres_add — Register device resource

## Synopsis

`void devres_add (` | struct device * | dev,
| void * | res`)`;

## Arguments

`dev`

  Device to add resource to

`res`

  Resource to register

## Description

Register devres `res` to `dev`. `res` should have been allocated using `devres_alloc`. On driver detach, the associated release function will be invoked and devres will be freed automatically.

Prev | Up | Next
devres_free | Home | devres_find